---
labels:
  - GraphQL
internalOnly: false
learnMore: https://graphql.com/learn/arguments/#introducing-arguments
---

A key-value pair associated with a particular schema field that lets operations pass data to that field's resolver.

Argument values can be hardcoded as literal values (shown below for clarity) or provided via GraphQL variables (recommended).

```graphql
query GetHuman {
  human(id: "200") {
    name
    height(unit: "meters")
  }
}
```
