---
labels:
  - GraphQL
internalOnly: false
---

A placeholder for dynamic values in an operation allowing parameterization and reusability in requests. Variables can be used to fill arguments or passed to directives.

```graphql disableCopy
query GetUser($userId: ID!) {
  user(id: $userId) {
    firstName
  }
}
```

In the query above, `userId` is a variable. The variable and its type are declared in the operation signature, signified by a `$`. The type of variable is a non-nullable `ID`. A variable's type must match the type of any argument it's used for.
